import request from '@/utils/request'

// 查询回复列表
export function listReplies(query) {
  return request({
    url: '/system/replies/list',
    method: 'get',
    params: query
  })
}

// 查询回复详细
export function getReplies(id) {
  return request({
    url: '/replies/' + id,
    method: 'get'
  })
}

// 新增回复
export function addReplies(data) {
  return request({
    url: '/replies',
    method: 'post',
    data: data
  })
}

// 修改回复
export function updateReplies(data) {
  return request({
    url: '/replies',
    method: 'put',
    data: data
  })
}

// 删除回复
export function delReplies(id) {
  return request({
    url: '/replies/' + id,
    method: 'delete'
  })
}
